Bug 178134 - GUI fails to show a printer
Summary: GUI fails to show a printer
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-17 23:09 UTC by Paul F. Johnson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 11:10:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul F. Johnson 2006-01-17 23:09:04 UTC
Description of problem:
If I fire up the CUPS web interface, I am able to see the Samsung ML2250 laser
printer as being available. It is not showing from s-c-p

Version-Release number of selected component (if applicable):
0.6.148-1

How reproducible:
Always

Steps to Reproduce:
1. Fire up a browser and select 127.0.0.1:631, create a new printer
2. Select SAMSUNG and the 2250 driver appears
3. Start s-c-p, create a new printer, select Samsung. The 2250 is not in the list
  
Actual results:
ML2250 not available from s-c-p Samsung list

Expected results:
It should be as it's available from the CUPS web interface

Additional info:

Comment 1 Tim Waugh 2006-01-18 09:11:42 UTC
How did you configure the printer?  Did you use the manufacturer's PPD?  If so,
you need to use 'Action->Import PPD' from the system-config-printer menu.

Comment 2 Paul F. Johnson 2006-01-18 10:36:45 UTC
The installer from Samsung is not x86_64 clean and therefore not supported by
them. I've not installed the PPD from anywhere and was actually suprised to see
it in the CUPS list and not in the Gnome one.

Comment 3 Tim Waugh 2006-01-18 11:10:02 UTC
I don't have Samsung in the list at all on http://localhost:631/, so I think
that at some stage something/someone installed a PPD for CUPS.  It will be in
/usr/share/cups/model I expect.

As system-config-printer is completely foomatic-based, it needs the PPD to be
imported into foomatic as in comment #1.


Note You need to log in before you can comment on or make changes to this bug.